package com.trade.service.tradingplatform.domain;

import java.math.BigDecimal;

import com.trade.common.core.domain.BaseEntity;

/**
 * 贸易平台保险信息表实体类
 *
 * @author hlb
 * @since 2024-06-05 17:00:03
 */
public class TradingPlatformInsurance extends BaseEntity<TradingPlatformInsurance> {
    /**
     * 贸易平台id
     */
    private Long platformId;
    /**
     * 贸易平台编码
     */
    private String platformCode;
    /**
     * 保险类型，枚举：insurance_type
     */
    private String insuranceType;
    /**
     * 币种，枚举：currency_code
     */
    private String currencyCode;
    /**
     * 总保额
     */
    private BigDecimal totalAmount;
    /**
     * 剩余保额
     */
    private BigDecimal remainingAmount;
    /**
     * 备注信息
     */
    private String remark;


    public Long getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public String getInsuranceType() {
        return insuranceType;
    }

    public void setInsuranceType(String insuranceType) {
        this.insuranceType = insuranceType;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getRemainingAmount() {
        return remainingAmount;
    }

    public void setRemainingAmount(BigDecimal remainingAmount) {
        this.remainingAmount = remainingAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}

